# -*- coding: utf-8 -*-
# modjkapi - API for modjk management
# Copyright © 2009-2011, Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
modjkapi exceptions.
"""

__docformat__ = 'restructuredtext'


import exceptions


class MaxTriesAttemptedError(exceptions.Exception):
    """
    Used when the maximum amount of tries have been done.
    """
    pass


class WorkerNotFoundError(exceptions.Exception):
    """
    Used when a worker can not be found.
    """
    pass


class JKResultError(exceptions.Exception):
    """
    When we get bad results.
    """
    pass


class JKCriteriaDoesNotExistError(exceptions.Exception):
    """
    When a query is limiting on something that doesn't exist.
    """
    pass


class JKQueryHasNoResultsError(exceptions.Exception):
    """
    When a query is has no results and at least one is required.
    """
    pass
